{
  "name": "jianke",
  "version": "1.0.0",
  "description": "小智权限管理系统",
  "author": "建科",
  "license": "MIT",
  "scripts": {
    "dev": "export NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service serve",
    "dev:win": "set NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service serve",
    "build:prod": "export NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service build",
    "build:stage": "vue-cli-service build --mode staging",
    "preview": "node build/index.js --preview",
    "lint": "eslint --ext .js,.vue src"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "keywords": [
    "vue",
    "admin",
    "dashboard",
    "element-ui",
    "boilerplate",
    "admin-template",
    "management-system"
  ],
  "dependencies": {
    "@riophae/vue-treeselect": "0.4.0",
    "axios": "^1.6.8",
    "clipboard": "2.0.8",
    "core-js": "3.25.3",
    "echarts": "5.4.0",
    "element-ui": "2.15.13",
    "file-saver": "2.0.5",
    "fuse.js": "6.4.3",
    "highlight.js": "^11.7.0",
    "jianke": "file:",
    "js-beautify": "1.13.0",
    "js-cookie": "3.0.1",
    "jsencrypt": "^3.3.2",
    "nprogress": "0.2.0",
    "quill": "^2.0.0",
    "screenfull": "5.0.2",
    "sortablejs": "1.10.2",
    "vue": "2.7.16",
    "vue-count-to": "1.0.13",
    "vue-cropper": "0.5.5",
    "vue-meta": "2.4.0",
    "vue-router": "3.4.9",
    "vuedraggable": "2.24.3",
    "vuex": "3.6.0"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "4.5.19",
    "@vue/cli-plugin-eslint": "4.5.19",
    "@vue/cli-service": "4.5.19",
    "babel-eslint": "10.1.0",
    "babel-plugin-dynamic-import-node": "2.3.3",
    "chalk": "4.1.0",
    "compression-webpack-plugin": "5.0.2",
    "connect": "3.6.6",
    "eslint": "6.8.0",
    "eslint-plugin-vue": "7.2.0",
    "lint-staged": "10.5.3",
    "runjs": "4.4.2",
    "sass": "1.32.13",
    "sass-loader": "10.1.1",
    "script-ext-html-webpack-plugin": "2.1.5",
    "svg-sprite-loader": "5.1.1",
    "vue-template-compiler": "2.7.16"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "overrides": {
    "braces": "^3.0.3",
    "ejs": "^3.1.10",
    "ip": "^2.0.1",
    "node-forge": "^1.3.1",
    "nth-check": "^2.1.1",
    "webpack-dev-middleware": "^3.7.3",
    "micromatch": "^4.0.8",
    "http-proxy-middleware": "^0.20.0",
    "postcss": "^8.4.31",
    "cssnano": "^5.1.15",
    "cssnano-preset-default": "^5.2.14",
    "autoprefixer": "^10.4.16",
    "lodash": "^4.17.21",
    "cross-spawn": "^7.0.3",
    "form-data": "^4.0.0",
    "html-minifier": "^4.0.0",
    "json5": "^2.2.3",
    "tmp": "^0.2.5",
    "tough-cookie": "^4.1.3",
    "loader-utils": "^2.0.4",
    "dns-packet": "^5.6.1",
    "selfsigned": "^2.4.1",
    "bonjour-service": "^1.2.1"
  }
}
